/***************************************************************************
 *   Copyright (C) 2007 by Ларин Анатолий   *
 *   _junk@mail.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "guiwidget.h"
#include <qspinbox.h>
#include <qradiobutton.h>

GuiWidget::GuiWidget(QWidget *parent, const char *name)
    :fGui(parent, name)
{
}

void GuiWidget::pushButton1_clicked()
{
  GLWidget->colorR = sbRed->value();
  GLWidget->colorG = sbGreen->value();
  GLWidget->colorB = sbBlue->value();
  GLWidget->bgColorR = sbRed_2->value();
  GLWidget->bgColorG = sbGreen_2->value();
  GLWidget->bgColorB = sbBlue_2->value();
  GLWidget->pointSize = sbPointSize->value();
  GLWidget->lineWidth = sbLineWidth->value();

  if(rbPoints->isChecked()) GLWidget->figure = GL_POINTS;
  else if(rbLines->isChecked()) GLWidget->figure = GL_LINES;
  else if(rbLineStrip->isChecked()) GLWidget->figure = GL_LINE_STRIP;
  else if(rbLineLoop->isChecked()) GLWidget->figure = GL_LINE_LOOP;
  else if(rbPolygon->isChecked()) GLWidget->figure = GL_POLYGON;
  else if(rbTriangles->isChecked()) GLWidget->figure = GL_TRIANGLES;
  else if(rbTriangleFan->isChecked()) GLWidget->figure = GL_TRIANGLE_FAN;
  else if(rbQuads->isChecked()) GLWidget->figure = GL_QUADS;

  GLWidget->updateGL();
}

void GuiWidget::rbPoints_clicked()
{
  GLWidget->figure = GL_POINTS;
  GLWidget->updateGL();
}

void GuiWidget::rbLines_clicked()
{
  GLWidget->figure = GL_LINES;
  GLWidget->updateGL();
}

void GuiWidget::rbLineStrip_clicked()
{
  GLWidget->figure = GL_LINE_STRIP;
  GLWidget->updateGL();
}

void GuiWidget::rbLineLoop_clicked()
{
  GLWidget->figure = GL_LINE_LOOP;
  GLWidget->updateGL();
}

void GuiWidget::rbPolygon_clicked()
{
  GLWidget->figure = GL_POLYGON;
  GLWidget->updateGL();
}

void GuiWidget::rbTriangles_clicked()
{
  GLWidget->figure = GL_TRIANGLES;
  GLWidget->updateGL();
}

void GuiWidget::rbTriangleFan_clicked()
{
  GLWidget->figure = GL_TRIANGLE_FAN;
  GLWidget->updateGL();
}

void GuiWidget::rbQuads_clicked()
{
  GLWidget->figure = GL_QUADS;
  GLWidget->updateGL();
}

void GuiWidget::sbPointSize_valueChanged(int)
{
  GLWidget->pointSize = sbPointSize->value();
  GLWidget->updateGL();
}

void GuiWidget::sbLineWidth_valueChanged(int)
{
  GLWidget->lineWidth = sbLineWidth->value();
  GLWidget->updateGL();
}

void GuiWidget::sbRed_2_valueChanged(int)
{
  GLWidget->bgColorR = sbRed_2->value();
  GLWidget->updateGL();
}

void GuiWidget::sbGreen_2_valueChanged(int)
{ 
  GLWidget->bgColorG = sbGreen_2->value();
  GLWidget->updateGL();
}

void GuiWidget::sbBlue_2_valueChanged(int)
{
  GLWidget->bgColorB = sbBlue_2->value();
  GLWidget->updateGL();
}

void GuiWidget::sbRed_valueChanged(int)
{
  GLWidget->colorR = sbRed->value();
  GLWidget->updateGL();
}

void GuiWidget::sbGreen_valueChanged(int)
{
  GLWidget->colorG = sbGreen->value();
  GLWidget->updateGL();
}

void GuiWidget::sbBlue_valueChanged(int)
{
  GLWidget->colorB = sbBlue->value();
  GLWidget->updateGL();
}


















